Vagrant.configure("2") do |config|
  config.vm.provider "virtualbox"

  config.vm.box = "bento/ubuntu-22.04"
  config.disksize.size = '100GB'
  config.ssh.insert_key = false
  config.vm.synced_folder ".", "/vagrant"

  
  config.vm.define "benchmarks" do |benchmarks|
    benchmarks.vm.hostname = "benchmarks"
    
    benchmarks.vm.provider :virtualbox do |vb|
      vb.customize ["modifyvm", :id, "--memory", 1024 * 8]
      vb.customize ["modifyvm", :id, "--cpus", 4]
    end
    benchmarks.vm.provision "shell", inline: "/vagrant/setup/scripts/init.sh"
  end
end

